FSA_CTG_BRIDGE(1)

NAME
fsa_ctg_bridge - Bridge contigs

SYNOPSIS
fsa_ctg_bridge [options] rawreads contigs read2ctg bridged_contigs

DESCRIPTION
Command line tool to bridge contigs.

It takes the following parameters:

    rawreads

        rawread file

    contigs

        The contig file

    read2ctg

        The file containing overlaps between rawread and contigs

    bridged_contigs

        The output file

OPTIONS

--ctg2ctg_file=STRING

    filename containing overlaps between contigs default: ""

--read_min_length=INT

    minimum rawread length default: 10000

--ctg_min_length=INT

    minimum contig length default: 500

--read2ctg_min_identity=DOUBLE

    minimum identity of overlaps between rawreads and contigs default: 80

--ctg2ctg_min_identity=DOUBLE

    minimum identity of overlaps between contigs default: 95

--read2ctg_max_overhang=INT

    maximum overhang of overlaps between rawreads and contigs default: 500

--ctg2ctg_max_overhang=INT

    maximum overhang of overlaps between contigs default: 100

--read2ctg_min_aligned_length=INT

    minimum aligned length of overlaps between rawreads and contigs default: 5000

--ctg2ctg_min_aligned_length=INT

    minimum aligned length of overlaps between contigs default: 2000

--read2ctg_min_coverage=INT

    minimum coverage of links between rawreads and contigs default: 4

--min_contig_length=INT

    minimum length of bridged contig default: 500

--output_directory=STRING

    directory for output files default: "."

--select_branch="no|best"

    selecting method when encountering branches in the graph, "no" = do not select any branch, "best" = select the most probable branch default: "no"

--dump

    for testing, dump intermediate files

--thread_size=INT

    number of threads default: 4

Usage: fsa_ctg_bridge [options] rawreads contigs read2ctg bridged_contigs

    rawreads

    rawread file

    contigs

    contig file

    read2ctg

    file containing overlaps between rawread and contigs

    bridged_contigs

    output file

--ctg2ctg_file=STRING

    filename containing overlaps between contigs default: ""

--read_min_length=INT

    minimum rawread length default: 10000

--ctg_min_length=INT

    minimum contig length default: 500

--read2ctg_min_identity=DOUBLE

    minimum identity of overlaps between rawreads and contigs default: 80

--ctg2ctg_min_identity=DOUBLE

    minimum identity of overlaps between contigs default: 95

--read2ctg_max_overhang=INT

    maximum overhang of overlaps between rawreads and contigs default: 500

--ctg2ctg_max_overhang=INT

    maximum overhang of overlaps between contigs default: 100

--read2ctg_min_aligned_length=INT

    minimum aligned length of overlaps between rawreads and contigs default: 5000

--ctg2ctg_min_aligned_length=INT

    minimum aligned length of overlaps between contigs default: 2000

--read2ctg_min_coverage=INT

    minimum coverage of links between rawreads and contigs default: 4

--min_contig_length=INT

    minimum length of bridged contig default: 500

--output_directory=STRING

    directory for output files default: "."

--select_branch="no|best"

    selecting method when encountering branches in the graph, "no" = do not select any branch, "best" = select the most probable branch default: "no"

--dump

    for testing, dump intermediate files

--thread_size=INT

    number of threads default: 4